From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/fzf/
Date: Mon, 29 Aug 2022 19:06:22 +0000 (UTC) [thread overview]
Message-ID: <1661799459.5452bff756fd81beef22e0de0091b46e895f60ce.sam@gentoo> (raw)
commit: 5452bff756fd81beef22e0de0091b46e895f60ce
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 29 18:57:39 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 29 18:57:39 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5452bff7
app-shells/fzf: add 0.33.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-shells/fzf/Manifest | 2 ++
app-shells/fzf/fzf-0.33.0.ebuild | 72 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 74 insertions(+)
diff --git a/app-shells/fzf/Manifest b/app-shells/fzf/Manifest
index fb429c7f33a8..79c47f4350e4 100644
--- a/app-shells/fzf/Manifest
+++ b/app-shells/fzf/Manifest
@@ -4,3 +4,5 @@ DIST fzf-0.31.0-deps.tar.xz 16051640 BLAKE2B 9aac02a1df4d9db7cf11c77dead32fb13b7
DIST fzf-0.31.0.tar.gz 210779 BLAKE2B 013ba0689e661a2497ffd3a6046ae330930aca295ad9b9620ab70474d34d969a78fccebb59daf45b278a76f33093db1fcd6838fb785aa63008755ce693b15967 SHA512 e0d281fe771a51d4bd617227daa9533e0d219cc047233ca9f342683591bc09843aad1d3686d58ddef71c317e69b2ccaf4a3d6175959cf81aaec50914fe51dea0
DIST fzf-0.32.1-deps.tar.xz 16042284 BLAKE2B 9ca05904cfa0790372e1879a77946e337dff32c51fb787f38aba305fa5f2873d05ee6cc99cecc100355dbdd6cb598675a19aeb82eb922900030739f47c297bc8 SHA512 7326e3d10aae637a9879a231ff179b03b6c052160609053c79a7fd2e578e8986cc00a4ae117b780b686581507f9762fec7c9068b9f83cd0473dcaab8c975133d
DIST fzf-0.32.1.tar.gz 212217 BLAKE2B b1b80bd5ed69dafdca3d52ff1630be99e1384119818bacb31fc04e0cfe58cfd99a4ebb9bd9b8a29e885e7e3db8aa8ba5046107d41a5222c6c05c5d194c42d394 SHA512 8abf7eceec466a3bb0cca48e36a426b4fbf5a4cb07f09756b92705fba11dc432d59102cf0337c8f0bae2782747a45cb7040d2f0de5a2050bb80fd5a6e09f0439
+DIST fzf-0.33.0-deps.tar.xz 16062376 BLAKE2B 94d50bf681c7e641ac134978c960b6ceb930ae88119014e2a8b17d7bef115b943c2d89a87a37a4dab446a6d11cc81583900ace31178dfac77d3540d771bfb4f8 SHA512 905eb6ab6ff975824da51261cdf66ee3e69c0be4bef04a2f04ea58433778127c0b3433d12bbba83f220b2d33c00cc5ac313cb05565c644961993b4aac2a1be39
+DIST fzf-0.33.0.tar.gz 212698 BLAKE2B ee446b7f451d761abc3b1e6abcae8f9a65232086fe0c0ef479fd898f427ca79f2c125bab2d616965b525b7e355f0b6ea1a65e9ff522230687f1fb119163e5958 SHA512 1359be952b0447da453a772546c1960c01396d37fd84392ad52f6ab9f8793ed282085ffa087cccb176183a923b0f89747d053b7af5b899169083b7a7c7a3ef69
diff --git a/app-shells/fzf/fzf-0.33.0.ebuild b/app-shells/fzf/fzf-0.33.0.ebuild
new file mode 100644
index 000000000000..12b7161dcb56
--- /dev/null
+++ b/app-shells/fzf/fzf-0.33.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit bash-completion-r1 go-module
+
+DESCRIPTION="General-purpose command-line fuzzy finder, written in Golang"
+HOMEPAGE="https://github.com/junegunn/fzf"
+
+# For fancy versioning only. Bump on the next release!
+# MY_GIT_REV is the first 7 characters of release commit, we truncate it
+# after to make it easier to copy/paste.
+MY_GIT_REV=4993d19466d5f3ac127de5c0c461cde7ef1894d7
+MY_GIT_REV=${MY_GIT_REV:0:7}
+
+SRC_URI="https://github.com/junegunn/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-deps.tar.xz"
+
+LICENSE="MIT BSD-with-disclosure"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+
+src_prepare() {
+ default
+ sed -i 's/-s -w //' Makefile || die # bug 795225
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr VERSION=${PV} REVISION=${MY_GIT_REV} bin/${PN}
+}
+
+src_install() {
+ dobin bin/${PN}
+ doman man/man1/${PN}.1
+
+ dobin bin/${PN}-tmux
+ doman man/man1/${PN}-tmux.1
+
+ insinto /usr/share/vim/vimfiles/plugin
+ doins plugin/${PN}.vim
+
+ insinto /usr/share/nvim/runtime/plugin
+ doins plugin/${PN}.vim
+
+ newbashcomp shell/completion.bash ${PN}
+
+ insinto /usr/share/zsh/site-functions
+ newins shell/completion.zsh _${PN}
+
+ insinto /usr/share/fzf
+ doins shell/key-bindings.bash
+ doins shell/key-bindings.fish
+ doins shell/key-bindings.zsh
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]]; then
+ elog "To add fzf support to your shell, make sure to use the right file"
+ elog "from ${EROOT}/usr/share/fzf."
+ elog
+ elog "For bash, add the following line to ~/.bashrc:"
+ elog
+ elog " # source ${EROOT}/usr/share/bash-completion/completions/fzf"
+ elog " # source ${EROOT}/usr/share/fzf/key-bindings.bash"
+ elog
+ elog "Plugins for Vim and Neovim are installed to respective directories"
+ elog "and will work out of the box."
+ elog
+ elog "For fzf support in tmux see fzf-tmux(1)."
+ fi
+}
next reply other threads:[~2022-08-29 19:06 UTC|newest]
Thread overview: 118+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-08-29 19:06 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 16:18 [gentoo-commits] repo/gentoo:master commit in: app-shells/fzf/ Matt Turner
2025-02-11 17:24 Matt Turner
2024-12-18 21:06 Matt Turner
2024-12-13 22:00 Matt Turner
2024-12-13 6:53 Arthur Zamarin
2024-12-13 6:25 Joonas Niilola
2024-12-13 6:21 Joonas Niilola
2024-12-02 16:38 Matt Turner
2024-11-04 16:47 Arthur Zamarin
2024-11-04 3:28 Sam James
2024-11-04 3:05 Sam James
2024-11-04 1:26 Matt Turner
2024-09-24 0:36 Matt Turner
2024-09-05 0:06 Sam James
2024-09-02 19:25 Sam James
2024-09-02 19:25 Sam James
2024-09-02 18:22 Matt Turner
2024-07-31 16:14 Matt Turner
2024-07-31 16:14 Matt Turner
2024-07-22 10:29 Jakov Smolić
2024-07-22 5:43 Joonas Niilola
2024-07-22 5:43 Joonas Niilola
2024-07-22 3:27 Matt Turner
2024-07-15 18:05 Matt Turner
2024-07-02 9:48 Sam James
2024-07-02 5:48 Joonas Niilola
2024-07-02 5:45 Joonas Niilola
2024-06-11 19:09 Matt Turner
2024-06-11 19:09 Matt Turner
2024-06-06 4:05 Sam James
2024-06-06 1:55 Jakov Smolić
2024-06-06 0:45 Sam James
2024-05-16 6:52 Joonas Niilola
2024-05-16 6:52 Joonas Niilola
2024-05-16 4:17 Arthur Zamarin
2024-05-15 15:29 Matt Turner
2024-05-01 20:24 Matt Turner
2024-04-10 17:17 Matt Turner
2024-02-27 23:00 Sam James
2024-02-02 1:18 Sam James
2024-02-02 1:02 Sam James
2024-01-28 21:51 Sam James
2024-01-28 20:36 Jonas Stein
2024-01-02 7:27 Sam James
2023-12-16 7:05 Arthur Zamarin
2023-12-16 4:12 Sam James
2023-11-25 22:47 Sam James
2023-11-25 22:47 Sam James
2023-11-13 3:28 Sam James
2023-10-15 8:26 Sam James
2023-08-29 7:01 Sam James
2023-07-16 17:34 Arthur Zamarin
2023-07-16 17:34 Arthur Zamarin
2023-06-15 22:03 Sam James
2023-05-27 7:07 Sam James
2023-05-27 7:07 Sam James
2023-05-27 7:07 Sam James
2023-05-26 12:52 Sam James
2023-05-01 15:00 Sam James
2023-05-01 15:00 Sam James
2023-05-01 10:42 Sam James
2023-04-02 21:44 Sam James
2023-02-16 4:18 Sam James
2023-02-12 6:22 Sam James
2023-01-26 8:30 Joonas Niilola
2023-01-26 8:30 Joonas Niilola
2023-01-26 7:15 Sam James
2023-01-25 7:13 Sam James
2023-01-17 1:53 Sam James
2023-01-17 1:53 Sam James
2022-11-19 3:23 Sam James
2022-11-11 22:36 Sam James
2022-11-09 12:30 Matt Turner
2022-11-05 17:11 Agostino Sarubbo
2022-11-05 6:27 Sam James
2022-09-29 5:10 Joonas Niilola
2022-09-29 5:10 Joonas Niilola
2022-09-28 23:35 Sam James
2022-08-29 20:13 Sam James
2022-08-12 18:16 Sam James
2022-07-22 22:02 Sam James
2022-07-19 19:47 Matt Turner
2022-07-12 6:47 Agostino Sarubbo
2022-07-12 6:46 Agostino Sarubbo
2022-06-05 5:28 Joonas Niilola
2022-06-05 5:28 Joonas Niilola
2022-06-04 19:46 Matt Turner
2022-06-04 19:46 Matt Turner
2022-02-02 22:24 Sam James
2022-02-02 22:24 Sam James
2022-01-12 9:31 Georgy Yakovlev
2022-01-02 13:26 Georgy Yakovlev
2022-01-02 13:21 Yixun Lan
2021-11-14 5:25 Sam James
2021-11-14 5:25 Sam James
2021-11-11 9:47 Jakov Smolić
2021-11-11 8:36 Jakov Smolić
2021-11-04 17:09 Sam James
2021-07-13 0:05 Sam James
2021-07-12 22:37 Sam James
2021-06-16 14:14 Sam James
2021-06-16 14:14 Sam James
2021-06-16 14:14 Sam James
2021-06-16 14:14 Sam James
2021-05-10 6:14 Joonas Niilola
2021-02-09 8:35 Sam James
2021-02-09 8:35 Sam James
2021-01-09 4:21 Sam James
2021-01-09 4:21 Sam James
2020-12-16 8:29 Joonas Niilola
2020-10-31 9:47 Joonas Niilola
2020-10-31 9:47 Joonas Niilola
2020-08-12 7:23 Joonas Niilola
2020-06-07 12:12 Joonas Niilola
2020-05-27 6:18 Joonas Niilola
2020-04-29 11:40 Joonas Niilola
2020-04-23 6:37 Joonas Niilola
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1661799459.5452bff756fd81beef22e0de0091b46e895f60ce.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox